=== debian/control ===
Source: mpack
Section: mail
Priority: optional
Build-Depends: dpkg-dev (>= 1.16.1~)
Maintainer: Anibal Monsalve Salazar <anibal@debian.org>
Standards-Version: 3.9.3
Homepage: ftp://ftp.andrew.cmu.edu/pub/mpack/

Package: mpack
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: mail-transport-agent, inews
Description: tools for encoding/decoding MIME messages
 Mpack and munpack are utilities for encoding and decoding
 (respectively) binary files in MIME (Multipurpose Internet
 Mail Extensions) format mail messages. For compatibility
 with older forms of transferring binary files, the munpack
 program can also decode messages in split-uuencoded format.
