=== debian/watch ===
version=2
ftp://ftp.andrew.cmu.edu/pub/mpack/mpack-([0-9.]+).tar.gz
